Copyright: GMS Aircraft Instruments Control Help v3.1
Citation: Copyright © 1996-97, GMS Inc.


Contents
GLOBAL MAJIC SOFTWARE, INC.

  Aircraft Instruments Control

Properties	Events	Methods	Product Support	Copyright

Description:

The Aircraft Instruments ActiveX control displays a variety of small aircraft flight instruments including air speed indicator, altimeter, artificial horizon, automatic direction finder, climb rate indicator, compass, course indicator, heading indicator, horizontal situation indicator, omni-bearing indicator, radio magnetic indicator and turn coordinator.  The controls include bevels for a 3D appearance.


Product Support

Product support for all products is available to registered users by contacting Global Majic Software, Inc. at any of the following locations:

Email

    General Information:	info@globalmajic.com

    Sales:	sales@globalmajic.com

    Customer Support:    	support@globalmajic.com

Home Page:	http://www.globalmajic.com

Post:	Global Majic Software, Inc.

6767 Old Madison Pike Hwy

Suite 405

Huntsville, Alabama  35806

TEL:	(256) 922-0222

FAX:	(256) 922-0708

Product Support is free for a period of three (3) months from the date of registration.


Copyright
Copyright Information

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc.  Violations of copyright laws are investigated by the FBI.  Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives.  However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all moneys paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


Properties

ADFBearing	CaptionID	HSIGlideSlopeDeviation

AHBug	Captions	HSIHeading

AHBugColor	CaptionX	HSINavigationSource

AHBugHeading	CaptionY	HSINavMarker

AHCuePitch	CIActCourse	HSINavPointer

AHCueRoll	CIOrdCourse	HSISpeed

AHFlightDirector	ClimbRate	HSITime

AHFlightDirectorColor	ClimbRateMax	HSITimeSpeedDisplay

AHGroundColor	CompassHeading	Index*

AHHeading	CompassStyle	Left*

AHHeadingOffset	DisplayMode	MouseControl

AHHeadingScale	DragIcon*	Name*

AHHeadingStyle	DragMode*	NeedleColor

AHPitch	Enabled*	OBIArcFlag

AHPitchRange	Font	OBIBackCourse

AHPitchScale	FontBold*	OBICourse

AHPitchStyle	FontID	OBICourseDeviation

AHReferenceColor	FontItalic*	OBIGlideSlope

AHReferenceStyle	FontName*	OBIGSFlag

AHRoll	Fonts	OBINAVFlag

AHSkyColor	FontSize*	OBIToFrom

Airspeed	FontStrikethru*	Outline

AirspeedVFE	FontUnderline*	Outline

AirspeedVMax	FrameBottom	OutlineAlign

AirspeedVNE	FrameColor	OutlineAlign

AirspeedVNO	FrameLeft	OutlineColor

AirspeedVS0	FramePicture	OutlineColor

AirspeedVS1	FrameRight	OutlineTitle

AltBarometer	FrameShape	OutlineWidth

AltBarometerColor	FrameStyle	RMIBearing1

AltBarometerFontID	FrameTop	RMIBearing2

AltBarometerStyle	HeadingIndicator	RMIBearingColor1

AltBarometerX	HeadingShape	RMIBearingColor2

AltBarometerY	Height*	RMIBearingType1

Altitude	HelpContextID*	RMIBearingType2

AltThousandFontID	HSIBearing	RMICompass

AltThousandStyle	HSIBearingColor	SingleBuffer

AltThousandX	HSIBug	TabIndex*

AltThousandY	HSIBugColor	TabStop*

AutoRedraw	HSIBugHeading	Tag*

BackColor	HSICompass	TCInclinometer

BackPicture	HSICourseColor	TCTurn

BevelInner	HSICourseDelta	TicColor

BevelOuter	HSICourseDeviation	ToolTipText*

BevelWidth	HSICourseDisplay	Top*

BorderWidth	HSICourseHeading	Value

Caption	HSIDistance	Visible*

CaptionColor	HSIDistanceDisplay	WhatsThisHelpID*

CaptionFlag	HSIGlideSlopeDelta	Width*

CaptionFontID

* denotes Standard Properties


Events

Change

Click*

DblClick*

DragDrop*

DragOver*

GotFocus*

KeyDown*

KeyPress*

KeyUp*

LostFocus*

MouseDown*

MouseMove*

MouseUp*

Turn

* denotes Standard Event


Methods

Redraw

RedrawStatic

ShowPropertyPage

* denotes Standard Method


ADFBearing
ADFBearing Property

Description

Determines the Automatic Direction Finder's displayed value.

Syntax

Visual Basic:

control.ADFBearing [= value ]

C/C++:

void control.SetADFBearing(double value);

double control.GetADFBearing();

Delphi:

control.ADFBearing [:= value ];

Remarks

This property only applies when DisplayMode is set to ADF (Automatic Direction Finder).

Data Type

Double


Airspeed
Airspeed Property

Description

Determines the aircraft's airspeed on the airspeed indicator.

Syntax

Visual Basic:

control.Airspeed [= value ]

C/C++:

void control.SetAirspeed(double value);

double control.GetAirspeed();

Delphi:

control.Airspeed [:= value ];

Remarks

These properties only apply when DisplayMode is set to an Airspeed Indicator.

Related Topics

AirspeedVFE, AirspeedVMax, AirspeedVNE, AirspeedVNO, AirspeedVS0 and AirspeedVS1

Data Type

Double


AirspeedVFE
AirspeedVFE Property

AirspeedVMax Property

AirspeedVNE Property

AirspeedVNO Property

AirspeedVS0 Property

AirspeedVS1 Property

Description

These properties define annular regions on an airspeed indicator which specify the airspeed limitations (V-speeds) of the aircraft.

White annular region:  Indicates safe operating range with flaps down.  It is bounded by AirspeedVS0 and AirspeedVFE.

Green annular region:  Indicates the safe operating speed with flaps up.  It is bounded by AirspeedVS1 and AirspeedVNO.

Yellow annular region:  Indicates the caution operating range.  It is bounded by AirspeedVNO and AirspeedVNE.

Red annular region:  Indicates the never exceed operating range.  It is bounded by AirspeedVNE and AirspeedVMax.

AirspeedVS0:  Indicates stall speed with flaps down.

AirspeedVS1:  Indicates stall speed with flaps up.

AirspeedVFE:  Indicates max safe speed with flaps down (extended).

AirspeedVNO:  Indicates max structural safe speed.

AirspeedVNE:  Indicates never exceed airspeed.

AirspeedVMax:  Indicates maximum displayed speed.

Syntax

Visual Basic:

control.AirspeedVFE [= value ]

control.AirspeedVMax [= value ]

control.AirspeedVNE [= value ]

control.AirspeedVNO [= value ]

control.AirspeedVS0 [= value ]

control.AirspeedVS1 [= value ]

C/C++:

void control.SetAirspeedVFE(double value);

double control.GetAirspeedVFE();

void control.SetAirspeedVMax(double value);

double control.GetAirspeedVMax();

void control.SetAirspeedVNE(double value);

double control.GetAirspeedVNE();

void control.SetAirspeedVNO(double value);

double control.GetAirspeedVNO();

void control.SetAirspeedVS0(double value);

double control.GetAirspeedVS0();

void control.SetAirspeedVS1(double value);

double control.GetAirspeedVS1();

Delphi:

control.AirspeedVFE [:= value ];

control.AirspeedVMax [:= value ];

control.AirspeedVNE [:= value ];

control.AirspeedVNO [:= value ];

control.AirspeedVS0 [:= value ];

control.AirspeedVS1 [:= value ];

Remarks

These properties only apply when DisplayMode is set to an Airspeed Indicator.

Related Topics

Airspeed

Data Type

Double


AltBarometer
AltBarometer Property

Description

Determines the barometric pressure (in inches of mercury) displayed on the altimeter.

Syntax

Visual Basic:

control.AltBarometer [= value ]

C/C++:

void control.SetAltBarometer(double value);

double control.GetAltBarometer();

Delphi:

control.AltBarometer [:= value ];

Remarks

This property only applies when DisplayMode is set to Altimeter.

Related Topics

AltBarometerColor, AltBarometerFontID, AltBarometerStyle, AltBarometerX, AltBarometerY, Altitude, AltThousandFontID, AltThousandStyle, AltThousandX and AltThousandY

Data Type

Double


AltBarometerFontID
AltBarometerFontID Property

Description

Determines which font is used for the barometric pressure indicator displayed on the altimeter.

Syntax

Visual Basic:

control.AltBarometerFontID [= value ]

C/C++:

void control.SetAltBarometerFontID(short value);

short control.GetAltBarometerFontID();

Delphi:

control.AltBarometerFontID [:= value ];

Remarks

This property only applies when DisplayMode is set to Altimeter.

Related Topics

AltBarometer, AltBarometerColor, AltBarometerStyle, AltBarometerX, AltBarometerY, Altitude, AltThousandFontID, AltThousandStyle, AltThousandX, AltThousandY and FontID

Data Type

Integer


AltBarometerStyle
AltBarometerStyle Property

Description

Determines the style of the barometric pressure indicator displayed on the altimeter.

Syntax

Visual Basic:

control.AltBarometerStyle [= number ]

C/C++:

void control.SetAltBarometerStyle(short number);

short control.GetAltBarometerStyle();

Delphi:

control.AltBarometerStyle [:= number ];

Settings

SETTING	DESCRIPTION

0	None

1	Normal

2	Enlarged

3	TenThousands

Remarks

This property only applies when DisplayMode is set to Altimeter.

Related Topics

AltBarometer, AltBarometerColor, AltBarometerFontID, AltBarometerX, AltBarometerY, Altitude, AltThousandFontID, AltThousandStyle, AltThousandX and AltThousandY

Data Type

Integer


AltBarometerX
AltBarometerX Property

AltBarometerY Property

Description

Determines the vertical and horizontal positions of the barometric pressure indicator.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0 where a value of 0.0 is located at the center of the instrument.

Syntax

Visual Basic:

control.AltBarometerX [= value ]

control.AltBarometerY [= value ]

C/C++:

void control.SetAltBarometerX(double value);

double control.GetAltBarometerX();

void control.SetAltBarometerY(double value);

double control.GetAltBarometerY();

Delphi:

control.AltBarometerX [:= value ];

control.AltBarometerY [:= value ];

Remarks

This property only applies when DisplayMode is set to Altimeter.

Related Topics

AltBarometer, AltBarometerColor, AltBarometerFontID, AltBarometerStyle, Altitude, AltThousandFontID, AltThousandStyle, AltThousandX and AltThousandY

Data Type

Double


Altitude
Altitude Property

Description

Determines the aircraft's altitude on the altimeter.

Syntax

Visual Basic:

control.Altitude [= value ]

C/C++:

void control.SetAltitude(double value);

double control.GetAltitude();

Delphi:

control.Altitude [:= value ];

Remarks

This property only applies when DisplayMode is set to Altimeter.

Related Topics

AltBarometer, AltBarometerColor, AltBarometerFontID, AltBarometerStyle, AltBarometerX, AltBarometerY, AltThousandFontID, AltThousandStyle, AltThousandX and AltThousandY

Data Type

Double


AltThousandFontID
AltThousandFontID Property

Description

Determines which font is used for the thousands counter displayed on the altimeter.

Syntax

Visual Basic:

control.AltThousandFontID [= value ]

C/C++:

void control.SetAltThousandFontID(short value);

short control.GetAltThousandFontID();

Delphi:

control.AltThousandFontID [:= value ];

Remarks

This property only applies when DisplayMode is set to Altimeter.

Related Topics

AltBarometer, AltBarometerColor, AltBarometerFontID, AltBarometerStyle, AltBarometerX, AltBarometerY, Altitude, AltThousandStyle, AltThousandX, AltThousandY and FontID

Data Type

Integer


AltThousandStyle
AltThousandStyle Property

Description

Determines the style of the thousands counter displayed on the altimeter.

Syntax

Visual Basic:

control.AltThousandStyle [= number ]

C/C++:

void control.SetAltThousandStyle(short number);

short control.GetAltThousandStyle();

Delphi:

control.AltThousandStyle [:= number ];

Settings

SETTING	DESCRIPTION

0	None

1	Normal

2	Enlarged

3	TenThousands

Remarks

This property only applies when DisplayMode is set to Altimeter.

Related Topics

AltBarometer, AltBarometerColor, AltBarometerFontID, AltBarometerStyle, AltBarometerX, AltBarometerY, Altitude, AltThousandFontID, AltThousandX and AltThousandY

Data Type

Integer


AltThousandX
AltThousandX Property

AltThousandY Property

Description

Determines the vertical and horizontal positions of the thousands counter.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0 where a value of 0.0 is located at the center of the instrument.

Syntax

Visual Basic:

control.AltThousandX [= value ]

control.AltThousandY [= value ]

C/C++:

void control.SetAltThousandX(double value);

double control.GetAltThousandX();

void control.SetAltThousandY(double value);

double control.GetAltThousandY();

Delphi:

control.AltThousandX [:= value ];

control.AltThousandY [:= value ];

Remarks

This property only applies when DisplayMode is set to Altimeter.

Related Topics

AltBarometer, AltBarometerColor, AltBarometerFontID, AltBarometerStyle, AltBarometerX, AltBarometerY, Altitude, AltThousandFontID and AltThousandStyle

Data Type

Double


AutoRedraw
AutoRedraw Property

Description

Determines whether the control is redrawn manually or automatically.  This is important because of the way Windows prioritizes repaint commands.  For example, if a FOR loop is used to update an instrument, the FOR loop has higher priority than the repaint command so the loop may finish before the instrument is redrawn.

Syntax

Visual Basic:

control.AutoRedraw [= boolean ]

C/C++:

void control.SetAutoRedraw(BOOL boolean);

BOOL control.GetAutoRedraw();

Delphi:

control.AutoRedraw [:= boolean ];

Settings

SETTING	DESCRIPTION

TRUE	Automatic (default) - The operating system will redraw the control when it has time.

FALSE	Manual - The user is responsible for all redraw commands (Redraw and RedrawStatic methods).

Remarks

If AutoRedraw=TRUE, then the control will attempt to redraw after any property is changed.  If several properties are being changed rapidly, however, the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and use the Redraw and/or RedrawStatic methods after all the desired property changes are made.

Related Topics

Redraw and RedrawStatic

Data Type

Integer (boolean)


BackColor
BackColor Property

Description

Determines the background color of the control.  It is ignored if BackPicture is set.

Syntax

Visual Basic:

control.BackColor [= color ]

C/C++:

void control.SetBackColor(OLE_COLOR color);

OLE_COLOR control.GetBackColor();

Delphi:

control.BackColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Topics

BackPicture

Data Type

Long


BackPicture
BackPicture Property

Description

Determines the graphic to be displayed in the background of the control.

Syntax

Visual Basic:

control.BackPicture [= picture ]

C/C++:

void control.SetBackPicture(LPPICTUREDISP picture);

LPPICTUREDISP control.GetBackPicture();

Delphi:

control.BackPicture [:= picture ];

Remarks

When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.  To clear this property, simply select a BackColor from the "Backgrounds" property page.

Related Topics

BackColor

Data Type

Picture


BevelInner
BevelInner Property

BevelOuter Property

Description

Determines the inner or outer shadow styles of the control.

Syntax

Visual Basic:

control.BevelInner [= number ]

control.BevelOuter [= number ]

C/C++:

void control.SetBevelInner(short number);

short control.GetBevelInner();

void control.SetBevelOuter(short number);

short control.GetBevelOuter();

Delphi:

control.BevelInner [:= number ];

control.BevelOuter [:= number ];

Settings

SETTING	DESCRIPTION

0	None

1	Raised

2	Lowered

Remarks

These properties have no affect when BevelWidth=0.

Related Topics

BevelWidth and BorderWidth

Data Type

Integer


BevelWidth
BevelWidth Property

Description

Determines the shadow sizes of the inner and outer bevels of the control.

Syntax

Visual Basic:

control.BevelWidth [= value ]

C/C++:

void control.SetBevelWidth(short value);

short control.GetBevelWidth();

Delphi:

control.BevelWidth [:= value ];

Related Topics

BevelInner, BevelOuter and BorderWidth

Data Type

Integer


BorderWidth
BorderWidth Property

BorderWidth Property

Description

Determines the border size between the inner and outer bevels of the control.

Syntax

Visual Basic:

control.BorderWidth [= value ]

C/C++:

void control.SetBorderWidth(short value);

short control.GetBorderWidth();

Delphi:

control.BorderWidth [:= value ];

Related Topics

BevelInner, BevelOuter and BevelWidth

Data Type

Integer


Caption
Caption Property

Description

Determines the text displayed on the control for the caption currently selected by CaptionID.  The number of captions displayed is set by the Captions property.

Syntax

Visual Basic:

control.Caption [= string ]

C/C++:

void control.SetCaption(LPCTSTR string);

BSTR control.GetCaption();

Delphi:

control.Caption [:= string ];

Related Topics

CaptionColor, CaptionFlag, CaptionFontID, CaptionID, Captions, CaptionX and CaptionY

Data Type

String


CaptionColor
CaptionColor Property

Description

Determines the text color for the caption currently selected by CaptionID.

Syntax

Visual Basic:

control.CaptionColor [= color ]

C/C++:

void control.SetCaptionColor(OLE_COLOR color);

OLE_COLOR control.GetCaptionColor();

Delphi:

control.CaptionColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Topics

Caption, CaptionFlag, CaptionFontID, CaptionID, Captions, CaptionX and CaptionY

Data Type

Long


CaptionFlag
CaptionFlag Property

Description

Determines if the caption currently selected by CaptionID is drawn in the control's static or dynamic buffer.

Syntax

Visual Basic:

control.CaptionFlag [= number ]

C/C++:

void control.SetCaptionFlag(short number);

short control.GetCaptionFlag();

Delphi:

control.CaptionFlag [:= number ];

Settings

SETTING	DESCRIPTION

0	Static - Caption is drawn below dynamic items such as needles

1	Dynamic - Caption is drawn on top of dynamic items such as needles

Remarks

Items drawn in the dynamic buffer affect the control's overall performance.

Related Topics

Caption, CaptionColor, CaptionFontID, CaptionID, Captions, CaptionX and CaptionY

Data Type

Integer


CaptionFontID
CaptionFontID Property

Description

Determines which font is used for the caption currently selected by CaptionID.

Syntax

Visual Basic:

control.CaptionFontID [= value ]

C/C++:

void control.SetCaptionFontID(short value);

short control.GetCaptionFontID();

Delphi:

control.CaptionFontID [:= value ];

Related Topics

Caption, CaptionColor, CaptionFlag, CaptionID, Captions, CaptionX, CaptionY and FontID

Data Type

Integer


CaptionID
CaptionID Property

Description

When multiple captions exist, CaptionID is used to index the caption to which the other caption properties apply.  The total number of captions is determined by the Captions property and CaptionID has valid values from 0 to Captions-1.

Syntax

Visual Basic:

control.CaptionID [= value ]

C/C++:

void control.SetCaptionID(short value);

short control.GetCaptionID();

Delphi:

control.CaptionID [:= value ];

Remarks

The number of Captions should be set before this property can be used.

Related Topics

Caption, CaptionColor, CaptionFlag, CaptionFontID, Captions, CaptionX and CaptionY

Data Type

Integer


Captions
Captions Property

Description

Determines the number of captions displayed on the control.  This property must be set before all other caption properties.  The CaptionID property is used to select the caption to which caption properties apply.

Syntax

Visual Basic:

control.Captions [= value ]

C/C++:

void control.SetCaptions(short value);

short control.GetCaptions();

Delphi:

control.Captions [:= value ];

Related Topics

Caption, CaptionColor, CaptionFlag, CaptionFontID, CaptionID, CaptionX and CaptionY

Data Type

Integer


CaptionX
CaptionX Property

CaptionY Property

Description

Determines the vertical and horizontal positions of the caption currently selected by the CaptionID property.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Syntax

Visual Basic:

control.CaptionX [= value ]

control.CaptionY [= value ]

C/C++:

void control.SetCaptionX(double value);

double control.GetCaptionX();

void control.SetCaptionY(double value);

double control.GetCaptionY();

Delphi:

control.CaptionX [:= value ];

control.CaptionY [:= value ];

Related Topics

Caption, CaptionColor, CaptionFlag, CaptionFontID, CaptionID and Captions

Data Type

Double


CIActCourse
CIActCourse Property

Description

Determines the actual course on the course indicator.

Syntax

Visual Basic:

control.CIActCourse [= value ]

C/C++:

void control.SetCIActCourse(double value);

double control.GetCIActCourse();

Delphi:

control.CIActCourse [:= value ];

Remarks

This property only applies when DisplayMode is set to Course Indicator.

Related Topics

CIOrdCourse

Data Type

Double


CIOrdCourse
CIOrdCourse Property

Description

Determines the ordered course on the course indicator.

Syntax

Visual Basic:

control.CIOrdCourse [= value ]

C/C++:

void control.SetCIOrdCourse(double value);

double control.GetCIOrdCourse();

Delphi:

control.CIOrdCourse [:= value ];

Remarks

This property only applies when DisplayMode is set to Course Indicator.

Related Topics

CIActCourse

Data Type

Double


ClimbRate
ClimbRate Property

Description

Determines the rate of climb on the climb rate indicator.

Syntax

Visual Basic:

control.ClimbRate [= value ]

C/C++:

void control.SetClimbRate(double value);

double control.GetClimbRate();

Delphi:

control.ClimbRate [:= value ];

Remarks

This property only applies when DisplayMode is set to Vertical Speed Indicator (Rate of Climb).

Related Topics

ClimbRateMax

Data Type

Double


ClimbRateMax
ClimbRateMax Property

Description

Determines the maximum rate of climb.

Syntax

Visual Basic:

control.ClimbRateMax [= value ]

C/C++:

void control.SetClimbRateMax(double value);

double control.GetClimbRateMax();

Delphi:

control.ClimbRateMax [:= value ];

Remarks

This property only applies when DisplayMode is set to Vertical Speed Indicator (Rate of Climb).

Related Topics

ClimbRate

Data Type

Double


CompassHeading
CompassHeading Property

Description

Determines the compass' direction (in degrees) on the compass instrument.

Syntax

Visual Basic:

control.CompassHeading [= value ]

C/C++:

void control.SetCompassHeading(double value);

double control.GetCompassHeading();

Delphi:

control.CompassHeading [:= value ];

Remarks

This property only applies when DisplayMode is set to Compass.

Related Topics

CompassStyle

Data Type

Double


CompassStyle
CompassStyle Property

Description

Determines the display mode of the compass face.

Syntax

Visual Basic:

control.CompassStyle [= number ]

C/C++:

void control.SetCompassStyle(short number);

short control.GetCompassStyle();

Delphi:

control.CompassStyle [:= number ];

Settings

SETTING	DESCRIPTION

0	Stationary - The compass face remains stationary while the compass needle rotates to indicate the control's direction.

1	Floating - The compass needle always points to the top of the control while the compass face rotates to indicate the control's direction.

Remarks

This property only applies when DisplayMode is set to Compass.

Related Topics

CompassHeading

Data Type

Integer


DisplayMode
DisplayMode Property

Description

Selects the type of instrument being displayed by the control.

Syntax

Visual Basic:

control.DisplayMode [= number ]

C/C++:

void control.SetDisplayMode(short number);

short control.GetDisplayMode();

Delphi:

control.DisplayMode [:= number ];

Settings

SETTING	DESCRIPTION

0	Compass - Displays Compass

1	Heading Indicator - Displays Heading Indicator

2	Altimeter - Displays Altimeter

3	Climb Rate - Displays Climb Rate Indicator

4	Airspeed - Displays Airspeed Indicator

5	HSI - Displays Horizontal Situation Indicator

6	Artificial Horizon - Displays Artificial Horizon

7	Turn Coordinator - Displays Turn Coordinator

8	Course Indicator - Displays Course Indicator

9	ADF - Displays Automatic Direction Finder

10	RMI - Displays Radio Magnetic Indicator

11	OBI - Displays Omni Bearing Indicator

Data Type

Integer


FontID
FontID Property

Description

When multiple fonts exist, FontID is used to index the font to which the other font properties apply.  The total number of fonts is determined by the Fonts property and FontID has valid values from 0 to Fonts-1.

Syntax

Visual Basic:

control.FontID [= value ]

C/C++:

void control.SetFontID(short value);

short control.GetFontID();

Delphi:

control.FontID [:= value ];

Remarks

The number of Fonts should be set before this property can be used.

Related Topics

Font and Fonts

Data Type

Integer


Fonts
Fonts Property

Description

Determines the number of fonts available for display on the control.  This property must be set before all other font properties.  The FontID property is used to select the font to which other font properties apply.

Syntax

Visual Basic:

control.Fonts [= value ]

C/C++:

void control.SetFonts(short value);

short control.GetFonts();

Delphi:

control.Fonts [:= value ];

Related Topics

Font and FontID

Data Type

Integer


FrameBottom
FrameBottom Property

FrameLeft Property

FrameRight Property

FrameTop Property

Description

Determines left, right, bottom, and top extents of the frame if FrameStyle is other than 0.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Syntax

Visual Basic:

control.FrameBottom [= value ]

control.FrameLeft [= value ]

control.FrameRight [= value ]

control.FrameTop [= value ]

C/C++:

void control.SetFrameBottom(double value);

double control.GetFrameBottom();

void control.SetFrameLeft(double value);

double control.GetFrameLeft();

void control.SetFrameRight(double value);

double control.GetFrameRight();

void control.SetFrameTop(double value);

double control.GetFrameTop();

Delphi:

control.FrameBottom [:= value ];

control.FrameLeft [:= value ];

control.FrameRight [:= value ];

control.FrameTop [:= value ];

control.FrameTop [:= value ];

Remarks

This property only applies when FrameStyle is not set to "None".

Related Topics

FrameColor, FramePicture, FrameShape and FrameStyle

Data Type

Double


FrameColor
FrameColor Property

Description

Determines the color of the frame surrounding the control's face.

Syntax

Visual Basic:

control.FrameColor [= color ]

C/C++:

void control.SetFrameColor(OLE_COLOR color);

OLE_COLOR control.GetFrameColor();

Delphi:

control.FrameColor [:= color ];

Remarks

This property only applies when FrameStyle is set and FramePicture has not been specified.  This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Topics

FrameBottom, FrameLeft, FramePicture, FrameRight, FrameShape, FrameStyle and FrameTop

Data Type

Long


FramePicture
FramePicture Property

Description

Determines the graphic to be displayed in the frame surrounding the control's face.

Syntax

Visual Basic:

control.FramePicture [= picture ]

C/C++:

void control.SetFramePicture(LPPICTUREDISP picture);

LPPICTUREDISP control.GetFramePicture();

Delphi:

control.FramePicture [:= picture ];

Remarks

This property only applies when FrameStyle is not set to "None".  When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.  To clear this property, simply select a FrameColor from the "Frames" property page.

Related Topics

FrameBottom, FrameColor, FrameLeft, FrameRight, FrameShape, FrameStyle and FrameTop

Data Type

Picture


FrameShape
FrameShape Property

Description

Determines the shape of a user defined frame and only applies when FrameStyle is set to "User Defined". In general, it defines a polygon made from a list of x,y coordinate pairs.  This polygon is then scaled into the rectangle defined by FrameBottom, FrameTop, FrameLeft, and FrameRight where the upper, left corner is 0,0 and the lower, right corner is 1000,1000.

Syntax

Visual Basic:

control.FrameShape [= string ]

C/C++:

void control.SetFrameShape(LPCTSTR string);

BSTR control.GetFrameShape();

Delphi:

control.FrameShape [:= string ];

Related Topics

FrameBottom, FrameColor, FrameLeft, FramePicture, FrameRight, FrameStyle and FrameTop

Data Type

String


FrameStyle
FrameStyle Property

Description

Determines the style of the control's frame.

Syntax

Visual Basic:

control.FrameStyle [= number ]

C/C++:

void control.SetFrameStyle(short number);

short control.GetFrameStyle();

Delphi:

control.FrameStyle [:= number ];

Settings

SETTING	DESCRIPTION

0	None

1	Rectangle

2	Circle

3	User Defined

Related Topics

FrameBottom, FrameColor, FrameLeft, FramePicture, FrameRight, FrameShape and FrameTop

Data Type

Integer


HeadingIndicator
HeadingIndicator Property

Description

Determines the heading indicator's direction (in degrees).

Syntax

Visual Basic:

control.HeadingIndicator [= value ]

C/C++:

void control.SetHeadingIndicator(double value);

double control.GetHeadingIndicator();

Delphi:

control.HeadingIndicator [:= value ];

Remarks

This property only applies when DisplayMode is set to Heading Indicator.

Related Topics

HeadingShape

Data Type

Double


HSIBearing
HSIBearing Property

Description

Determines the bearing indicator direction displayed on the horizontal situation indicator.

Syntax

Visual Basic:

control.HSIBearing [= value ]

C/C++:

void control.SetHSIBearing(double value);

double control.GetHSIBearing();

Delphi:

control.HSIBearing [:= value ];

Remarks

The HSIBearing property value is bound between 0 and 360 degrees.  The bearing indicator is only displayed when the DisplayMode = HSI,  HSICompass=TRUE, and HSINavigationSource is set to VOR1, VOR2, TCN or LRN.

Related Topics

HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Double


HSIBearingColor
HSIBearingColor Property

Description

Determines the color of the bearing indicator on the horizontal situation indicator.

Syntax

Visual Basic:

control.HSIBearingColor [= color ]

C/C++:

void control.SetHSIBearingColor(OLE_COLOR color);

OLE_COLOR control.GetHSIBearingColor();

Delphi:

control.HSIBearingColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  This property is ignored unless DisplayMode is set to Heading Indicator.

Related Topics

HSIBearing, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Long


HSIBug
HSIBug Property

Description

Determines whether or not the Heading Bug is displayed on the horizontal situation indicator.  The Heading Bug is used to indicate the desired course heading.

Syntax

Visual Basic:

control.HSIBug [= boolean ]

C/C++:

void control.SetHSIBug(BOOL boolean);

BOOL control.GetHSIBug();

Delphi:

control.HSIBug [:= boolean ];

Settings

SETTING	DESCRIPTION

TRUE	Bug Visible

FALSE	No Bug

Remarks

This property only applies when DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Integer (boolean)


HSIBugColor
HSIBugColor Property

Description

Determines the color of the Heading Bug on the horizontal situation indicator.

Syntax

Visual Basic:

control.HSIBugColor [= color ]

C/C++:

void control.SetHSIBugColor(OLE_COLOR color);

OLE_COLOR control.GetHSIBugColor();

Delphi:

control.HSIBugColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  This property only applies when DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Long


HSIBugHeading
HSIBugHeading Property

Description

Determines the Heading Bug heading displayed on the horizontal situation indicator.  The Heading Bug is used to indicate the desired course heading.

Syntax

Visual Basic:

control.HSIBugHeading [= value ]

C/C++:

void control.SetHSIBugHeading(double value);

double control.GetHSIBugHeading();

Delphi:

control.HSIBugHeading [:= value ];

Remarks

This property only applies when DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Double


HSICompass
HSICompass Property

Description

Enables and disables the compass face displayed on the horizontal situation indicator.

Syntax

Visual Basic:

control.HSICompass [= boolean ]

C/C++:

void control.SetHSICompass(BOOL boolean);

BOOL control.GetHSICompass();

Delphi:

control.HSICompass [:= boolean ];

Settings

SETTING	DESCRIPTION

TRUE	Compass face displayed

FALSE	No compass face

Remarks

This property only applies when DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Integer (boolean)


HSICourseColor
HSICourseColor Property

Description

Determines the color of the course indicator in the horizontal situation indicator.

Syntax

Visual Basic:

control.HSICourseColor [= color ]

C/C++:

void control.SetHSICourseColor(OLE_COLOR color);

OLE_COLOR control.GetHSICourseColor();

Delphi:

control.HSICourseColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  This property is ignored unless DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Long


HSICourseDelta
HSICourseDelta Property

Description

Determines the magnitude of the difference between course deviation markers displayed on the horizontal situation indicator.

Syntax

Visual Basic:

control.HSICourseDelta [= value ]

C/C++:

void control.SetHSICourseDelta(double value);

double control.GetHSICourseDelta();

Delphi:

control.HSICourseDelta [:= value ];

Remarks

This property only applies when DisplayMode is set to HSI.  Typical values for this property are 2.5 degrees or 7.5 miles.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Double


HSICourseDeviation
HSICourseDeviation Property

Description

Determines the course deviation displayed on the horizontal situation indicator.

Syntax

Visual Basic:

control.HSICourseDeviation [= value ]

C/C++:

void control.SetHSICourseDeviation(double value);

double control.GetHSICourseDeviation();

Delphi:

control.HSICourseDeviation [:= value ];

Remarks

This property only applies when DisplayMode is set to HSI.  The displayable range depends on the value set for HSICourseDelta.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Double


HSICourseDisplay
HSICourseDisplay Property

Description

Determines the type of course display being displayed in the upper right hand corner of the horizontal situation indicator.

Syntax

Visual Basic:

control.HSICourseDisplay [= number ]

C/C++:

void control.SetHSICourseDisplay(short number);

short control.GetHSICourseDisplay();

Delphi:

control.HSICourseDisplay [:= number ];

Settings

SETTING	DESCRIPTION

0	CRS - Course

1	DTK - Desired Track

2	None

Remarks

This property only applies when DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Integer


HSICourseHeading
HSICourseHeading Property

Description

Determines the course heading displayed in the horizontal situation indicator.

Syntax

Visual Basic:

control.HSICourseHeading [= value ]

C/C++:

void control.SetHSICourseHeading(double value);

double control.GetHSICourseHeading();

Delphi:

control.HSICourseHeading [:= value ];

Remarks

This property is bound between 0 and 360 degrees and only applies when DisplayMode = HSI and HSICompass=TRUE.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Double


HSIDistance
HSIDistance Property

Description

Determines the distance displayed in the upper left hand corner of the horizontal situation indicator.

Syntax

Visual Basic:

control.HSIDistance [= value ]

C/C++:

void control.SetHSIDistance(double value);

double control.GetHSIDistance();

Delphi:

control.HSIDistance [:= value ];

Remarks

This property only applies when DisplayMode = HSI and HSIDistanceDisplay = DME, TCN or WPT.  Only three place holders are allowed to display the distance so when the value is less than 100, it is displayed with one decimal point; when the value is between 100 and 999, no decimal point values are displayed; and when the value is 1000 or greater, "999" is displayed.  If the distance is set to a negative number, the control will display "---", indicating that the distance is not available.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Double


HSIDistanceDisplay
HSIDistanceDisplay Property

Description

Determines the distance mode displayed in the upper left hand corner of the horizontal situation indicator.

Syntax

Visual Basic:

control.HSIDistanceDisplay [= number ]

C/C++:

void control.SetHSIDistanceDisplay(short number);

short control.GetHSIDistanceDisplay();

Delphi:

control.HSIDistanceDisplay [:= number ];

Settings

SETTING	DESCRIPTION

0	DME - Distance measuring equipment

1	TCN - TACAN, Tactical Air Navigation

2	WPT - Waypoint

3	None

Remarks

This property only applies when DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Integer


HSIGlideSlopeDelta
HSIGlideSlopeDelta Property

Description

Determines the magnitude of the difference between glide slope deviation markers displayed in the horizontal situation indicator.

Syntax

Visual Basic:

control.HSIGlideSlopeDelta [= value ]

C/C++:

void control.SetHSIGlideSlopeDelta(double value);

double control.GetHSIGlideSlopeDelta();

Delphi:

control.HSIGlideSlopeDelta [:= value ];

Remarks

This property only applies when DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Double


HSIGlideSlopeDeviation
HSIGlideSlopeDeviation Property

Description

Determines the glide slope deviation displayed in the horizontal situation indicator.

Syntax

Visual Basic:

control.HSIGlideSlopeDeviation [= value ]

C/C++:

void control.SetHSIGlideSlopeDeviation(double value);

double control.GetHSIGlideSlopeDeviation();

Delphi:

control.HSIGlideSlopeDeviation [:= value ];

Remarks

This property only applies when DisplayMode is set to HSI.  The displayable range depends on the value set for HSIGlideSlopeDelta.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Double


HSIHeading
HSIHeading Property

Description

Determines the heading indicator on the horizontal situation indicator.

Syntax

Visual Basic:

control.HSIHeading [= value ]

C/C++:

void control.SetHSIHeading(double value);

double control.GetHSIHeading();

Delphi:

control.HSIHeading [:= value ];

Remarks

This property only applies when DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Double


HSINavigationSource
HSINavigationSource Property

Description

Determines the navigation source displayed in the lower right hand corner of the horizontal situation indicator.

Syntax

Visual Basic:

control.HSINavigationSource [= number ]

C/C++:

void control.SetHSINavigationSource(short number);

short control.GetHSINavigationSource();

Delphi:

control.HSINavigationSource [:= number ];

Settings

SETTING	DESCRIPTION

0	VOR 1 - VHF Omni Range source 1

1	VOR 2 - VHF Omni Range source 2

2	ILS 1 - Instrument Landing System source 1

3	ILS 2 - Instrument Landing System source 2

4	TCN - TACAN Tactical Air Navigation

5	LRN - LORAN

6	None

Remarks

This property only applies when DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavMarker, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Integer


HSINavMarker
HSINavMarker Property

Description

Determines the symbol used in the navigation marker on the horizontal situation indicator.

Syntax

Visual Basic:

control.HSINavMarker [= string ]

C/C++:

void control.SetHSINavMarker(LPCTSTR string);

BSTR control.GetHSINavMarker();

Delphi:

control.HSINavMarker [:= string ];

Remarks

This property only applies when DisplayMode is set to HSI.  Typical values are V, T, W, 1, or 2.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavPointer, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

String


HSINavPointer
HSINavPointer Property

Description

Determines the style of the navigation pointer on the horizontal situation indicator.

Syntax

Visual Basic:

control.HSINavPointer [= number ]

C/C++:

void control.SetHSINavPointer(short number);

short control.GetHSINavPointer();

Delphi:

control.HSINavPointer [:= number ];

Settings

SETTING	DESCRIPTION

0	None

1	Single Pointer

2	Double Pointer

Remarks

This property only applies when DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSISpeed, HSITime and HSITimeSpeedDisplay

Data Type

Integer


HSISpeed
HSISpeed Property

Description

Determines the ground speed displayed in the lower left hand corner of the horizontal situation indicator.

Syntax

Visual Basic:

control.HSISpeed [= value ]

C/C++:

void control.SetHSISpeed(double value);

double control.GetHSISpeed();

Delphi:

control.HSISpeed [:= value ];

Remarks

This property only applies when DisplayMode = HSI and HSITimeSpeedDisplay = SPD.  Only three place holders are allowed to display the value so when the value is less than 100, it is displayed with one decimal point; when the value is between 100 and 999, no decimal point values are displayed; and when the value is 1000 or greater, "999" is displayed.  If the value is set to a negative number, the control will display "---", indicating that the ground speed is not available.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSITime and HSITimeSpeedDisplay

Data Type

Double


HSITime
HSITime Property

Description

Determines the time-to-go displayed in the lower left hand corner of the horizontal situation indicator.

Syntax

Visual Basic:

control.HSITime [= value ]

C/C++:

void control.SetHSITime(double value);

double control.GetHSITime();

Delphi:

control.HSITime [:= value ];

Remarks

This property only applies when DisplayMode = HSI and HSITimeSpeedDisplay = TTG.  Only three place holders are allowed to display the value so when the value is less than 100, it is displayed with one decimal point; when the value is between 100 and 999, no decimal point values are displayed; and when the value is 1000 or greater, "999" is displayed.  If the value is set to a negative number, the control will display "---", indicating that the time-to-go is not available.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed and HSITimeSpeedDisplay

Data Type

Double


HSITimeSpeedDisplay
HSITimeSpeedDisplay Property

Description

Determines whether time-to-go or ground speed is displayed in the lower left hand corner of the horizontal situation indicator.

Syntax

Visual Basic:

control.HSITimeSpeedDisplay [= number ]

C/C++:

void control.SetHSITimeSpeedDisplay(short number);

short control.GetHSITimeSpeedDisplay();

Delphi:

control.HSITimeSpeedDisplay [:= number ];

Settings

SETTING	DESCRIPTION

0	TTG - Time To Go

1	SPD - Ground Speed

2	None

Remarks

This property only applies when DisplayMode is set to HSI.

Related Topics

HSIBearing, HSIBearingColor, HSIBug, HSIBugColor, HSIBugHeading, HSICompass, HSICourseColor, HSICourseDelta, HSICourseDeviation, HSICourseDisplay, HSICourseHeading, HSIDistance, HSIDistanceDisplay, HSIGlideSlopeDelta, HSIGlideSlopeDeviation, HSIHeading, HSINavigationSource, HSINavMarker, HSINavPointer, HSISpeed and HSITime

Data Type

Integer


MouseControl
MouseControl Property

Description

Enables and disables mouse input to the control.

Syntax

Visual Basic:

control.MouseControl [= boolean ]

C/C++:

void control.SetMouseControl(BOOL boolean);

BOOL control.GetMouseControl();

Delphi:

control.MouseControl [:= boolean ];

Settings

SETTING	DESCRIPTION

TRUE	Allows the control's value to be modified with mouse input

FALSE	Disables mouse input to the control

Data Type

Integer (boolean)


NeedleColor
NeedleColor Property

Description

Determines the color for the needle on the instrument.  This applies to the Altimeter, Climb Rate and Airspeed indicators only.

Syntax

Visual Basic:

control.NeedleColor [= color ]

C/C++:

void control.SetNeedleColor(OLE_COLOR color);

OLE_COLOR control.GetNeedleColor();

Delphi:

control.NeedleColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


OBIArcFlag
OBIArcFlag Property

OBIBackCourse Property

OBIGSFlag Property

OBINAVFlag Property

Description

These properties are used to set the Omni Bearing instrument's display flags.  The left figure shows an instrument in which all of the indicators are OFF (FALSE) whereas the right figure shows all the indicators in the ON (TRUE) position.

Syntax

Visual Basic:

control.OBIArcFlag [= boolean ]

control.OBIBackCourse [= boolean ]

control.OBIGSFlag [= boolean ]

control.OBINAVFlag [= boolean ]

C/C++:

void control.SetOBIArcFlag(BOOL boolean);

BOOL control.GetOBIArcFlag();

void control.SetOBIBackCourse(BOOL boolean);

BOOL control.GetOBIBackCourse();

void control.SetOBIGSFlag(BOOL boolean);

BOOL control.GetOBIGSFlag();

void control.SetOBINAVFlag(BOOL boolean);

BOOL control.GetOBINAVFlag();

Delphi:

control.OBIArcFlag [:= boolean ];

control.OBIBackCourse [:= boolean ];

control.OBIGSFlag [:= boolean ];

control.OBINAVFlag [:= boolean ];

Settings

SETTING	DESCRIPTION

TRUE

FALSE

Remarks

These properties only apply when DisplayMode is set to Omni-Bearing Indicator.

Related Topics

OBICourse, OBICourseDeviation, OBIGlideSlope and OBIToFrom

Data Type

Integer (boolean)


OBICourse
OBICourse Property

Description

Determines the course displayed on the Omni-Bearing Indicator.

Syntax

Visual Basic:

control.OBICourse [= value ]

C/C++:

void control.SetOBICourse(double value);

double control.GetOBICourse();

Delphi:

control.OBICourse [:= value ];

Remarks

This property only applies when DisplayMode is set to Omni-Bearing Indicator.

Related Topics

OBIArcFlag, OBIBackCourse, OBICourseDeviation, OBIGlideSlope, OBIGSFlag, OBINAVFlag and OBIToFrom

Data Type

Double


OBICourseDeviation
OBICourseDeviation Property

Description

Determines the deviation from the course defined by OBICourse on the Omni-Bearing Indicator.  The left figure below shows a course deviation whereas the right figure shows an aircraft which is on course.

Syntax

Visual Basic:

control.OBICourseDeviation [= value ]

C/C++:

void control.SetOBICourseDeviation(double value);

double control.GetOBICourseDeviation();

Delphi:

control.OBICourseDeviation [:= value ];

Remarks

This property only applies when DisplayMode is set to Omni-Bearing Indicator.

Related Topics

OBIArcFlag, OBIBackCourse, OBICourse, OBIGlideSlope, OBIGSFlag, OBINAVFlag and OBIToFrom

Data Type

Double


OBIGlideSlope
OBIGlideSlope Property

Description

Determines the deviation from the ILS glide slope on the Omni-Bearing Indicator. The left figure below indicates a glide slope deviation whereas the right figure shows an aircraft with no deviation.

Syntax

Visual Basic:

control.OBIGlideSlope [= value ]

C/C++:

void control.SetOBIGlideSlope(double value);

double control.GetOBIGlideSlope();

Delphi:

control.OBIGlideSlope [:= value ];

Remarks

This property only applies when DisplayMode is set to Omni-Bearing Indicator.

Related Topics

OBIArcFlag, OBIBackCourse, OBICourse, OBICourseDeviation, OBIGSFlag, OBINAVFlag and OBIToFrom

Data Type

Double


OBIToFrom
OBIToFrom Property

Description

Determines the mode of operation of the Omni Bearing Indicator.  If it is set to "To", the indicator shows deviations if you are heading toward the VOR station.  A "From" setting, on the other hand, indicates that the aircraft is flying away from the VOR station.

Syntax

Visual Basic:

control.OBIToFrom [= number ]

C/C++:

void control.SetOBIToFrom(short number);

short control.GetOBIToFrom();

Delphi:

control.OBIToFrom [:= number ];

Settings

SETTING	DESCRIPTION

0	None

1	To

2	From

Remarks

These properties only apply when DisplayMode is set to Omni-Bearing Indicator.

Related Topics

OBIArcFlag, OBIBackCourse, OBICourse, OBICourseDeviation, OBIGlideSlope, OBIGSFlag and OBINAVFlag

Data Type

Integer


Outline
Outline Property

Description

Determines whether or not to display an outline around the control's face.

Syntax

Visual Basic:

control.Outline [= boolean ]

C/C++:

void control.SetOutline(BOOL boolean);

BOOL control.GetOutline();

Delphi:

control.Outline [:= boolean ];

Settings

SETTING	DESCRIPTION

TRUE	Display Outline

FALSE	No Outline

Related Topics

OutlineAlign, OutlineColor, OutlineTitle and OutlineWidth

Data Type

Integer (boolean)


OutlineAlign
OutlineAlign Property

Description

Determines the alignment of the OutlineTitle at the top of the control.  This property only applies when Outline=TRUE.

Syntax

Visual Basic:

control.OutlineAlign [= number ]

C/C++:

void control.SetOutlineAlign(short number);

short control.GetOutlineAlign();

Delphi:

control.OutlineAlign [:= number ];

Settings

SETTING	DESCRIPTION

0	Left

1	Right

2	Center

Related Topics

Outline, OutlineColor, OutlineTitle and OutlineWidth

Data Type

Integer


OutlineColor
OutlineColor Property

Description

Determines the color of the outline frame (and OutlineTitle) surrounding the control when Outline=TRUE.

Syntax

Visual Basic:

control.OutlineColor [= color ]

C/C++:

void control.SetOutlineColor(OLE_COLOR color);

OLE_COLOR control.GetOutlineColor();

Delphi:

control.OutlineColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Topics

Outline, OutlineAlign, OutlineTitle and OutlineWidth

Data Type

Long


OutlineTitle
OutlineTitle Property

Description

Determines the text displayed as the title in the outline surrounding the control when Outline=TRUE.

Syntax

Visual Basic:

control.OutlineTitle [= string ]

C/C++:

void control.SetOutlineTitle(LPCTSTR string);

BSTR control.GetOutlineTitle();

Delphi:

control.OutlineTitle [:= string ];

Related Topics

Outline, OutlineAlign, OutlineColor and OutlineWidth

Data Type

String


OutlineWidth
OutlineWidth Property

Description

Determines the thickness (in pixels) of the outline frame surrounding the control when Outline=TRUE.

Syntax

Visual Basic:

control.OutlineWidth [= value ]

C/C++:

void control.SetOutlineWidth(short value);

short control.GetOutlineWidth();

Delphi:

control.OutlineWidth [:= value ];

Related Topics

Outline, OutlineAlign, OutlineColor and OutlineTitle

Data Type

Integer


RMIBearing1
RMIBearing1 Property

RMIBearing2 Property

Description

Determine the bearings displayed on the radio magnetic indicator.

Syntax

Visual Basic:

control.RMIBearing1 [= value ]

control.RMIBearing2 [= value ]

C/C++:

void control.SetRMIBearing1(double value);

double control.GetRMIBearing1();

void control.SetRMIBearing2(double value);

double control.GetRMIBearing2();

Delphi:

control.RMIBearing1 [:= value ];

control.RMIBearing2 [:= value ];

Remarks

These properties only apply when DisplayMode is set to RMI.

Related Topics

RMIBearingColor1, RMIBearingColor2, RMIBearingType1, RMIBearingType2 and RMICompass

Data Type

Double


RMIBearingColor1
RMIBearingColor1 Property

RMIBearingColor2 Property

Description

Determine the colors of the navigation pointers on the radio magnetic indicator.

Syntax

Visual Basic:

control.RMIBearingColor1 [= color ]

control.RMIBearingColor2 [= color ]

C/C++:

void control.SetRMIBearingColor1(OLE_COLOR color);

OLE_COLOR control.GetRMIBearingColor1();

void control.SetRMIBearingColor2(OLE_COLOR color);

OLE_COLOR control.GetRMIBearingColor2();

Delphi:

control.RMIBearingColor1 [:= color ];

control.RMIBearingColor2 [:= color ];

Remarks

These properties only apply when DisplayMode is set to RMI.

Related Topics

RMIBearing1, RMIBearing2, RMIBearingType1, RMIBearingType2 and RMICompass

Data Type

Long


RMIBearingType1
RMIBearingType1 Property

RMIBearingType2 Property

Description

Determine the styles of the navigation pointers on the radio magnetic indicator.

Syntax

Visual Basic:

control.RMIBeraingType1 [= number ]

control.RMIBeraingType2 [= number ]

C/C++:

void control.SetRMIBeraingType1(short number);

short control.GetRMIBeraingType1();

void control.SetRMIBeraingType2(short number);

short control.GetRMIBeraingType2();

Delphi:

control.RMIBeraingType1 [:= number ];

control.RMIBeraingType2 [:= number ];

Settings

SETTING	DESCRIPTION

0	None

1	Single Pointer

2	Double Pointer

Remarks

These properties only apply when DisplayMode is set to RMI.

Related Topics

RMIBearing1, RMIBearing2, RMIBearingColor1, RMIBearingColor2 and RMICompass

Data Type

Integer


RMICompass
RMICompass Property

Description

Determines the heading indicated by the radio magnetic indicator's compass card.

Syntax

Visual Basic:

control.RMICompass [= value ]

C/C++:

void control.SetRMICompass(double value);

double control.GetRMICompass();

Delphi:

control.RMICompass [:= value ];

Remarks

This property only applies when DisplayMode is set to Radio Magnetic Indicator.

Related Topics

RMIBearing1, RMIBearing2, RMIBearingColor1, RMIBearingColor2, RMIBearingType1 and RMIBearingType2

Data Type

Double


TCInclinometer
TCInclinometer Property

Description

Determines the position of the inclinometer ball displayed in the turn coordinator.  It is a measure of the coordinated use of aileron and rudder during a turn.

Syntax

Visual Basic:

control.TCInclinometer [= value ]

C/C++:

void control.SetTCInclinometer(double value);

double control.GetTCInclinometer();

Delphi:

control.TCInclinometer [:= value ];

Remarks

This property only applies when DisplayMode is set to Turn Coordinator.  The units are in degrees and indicate the angle between the aircraft vertical acceleration direction and the airframe vertical direction.  The visible range of the inclinometer is -10 to 10 degrees.

Related Topics

TCTurn

Data Type

Double


TCTurn
TCTurn Property

Description

Determines the turn rate displayed in the turn coordinator.

Syntax

Visual Basic:

control.TCTurn [= value ]

C/C++:

void control.SetTCTurn(double value);

double control.GetTCTurn();

Delphi:

control.TCTurn [:= value ];

Remarks

This property only applies when DisplayMode is set to Turn Coordinator.  The units are in degrees and indicate the turn angle the aircraft will make in 2 minutes.  The tic marks below the level flight tic marks indicate a 360 degree turn in 2 minutes.

Related Topics

TCInclinometer

Data Type

Double


TicColor
TicColor Property

Description

Determines the color for the instrument's tic set.

Syntax

Visual Basic:

control.TicColor [= color ]

C/C++:

void control.SetTicColor(OLE_COLOR color);

OLE_COLOR control.GetTicColor();

Delphi:

control.TicColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


Change
Change Event

Description

A CHANGE event is fired every time the left button is released when using the mouse to alter the value of the control.

Remarks

This event is only applicable when MouseControl is TRUE.


Turn
Turn Event

Description

A TURN event is fired every time the control's value changes while the left mouse button is down.


Redraw
Redraw Method

Description

When issued, this method refreshes the dynamic elements (needles, pointers, knobs, etc.) of the control.

Syntax

Visual Basic:

control.Redraw

C/C++:

control.Redraw();

Delphi:

control.Redraw();

Remarks

If AutoRedraw=TRUE, then the control will attempt to redraw after any property is changed.  If several properties are being changed rapidly, however, the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and use the Redraw and/or RedrawStatic methods after all the desired property changes are made.


RedrawStatic
RedrawStatic Method

Description

When issued, this method refreshes the static elements (hubs, captions, etc.) of the control.

Syntax

Visual Basic:

control.RedrawStatic

C/C++:

control.RedrawStatic();

Delphi:

control.RedrawStatic();

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, however, the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and use the Redraw and/or RedrawStatic methods after all the desired property changes are made.


ShowPropertyPage
ShowPropertyPage Method

Description

Allows the user to modify the controls properties at run-time.

Syntax

Visual Basic:

control.ShowPropertyPage

C/C++:

control.ShowPropertyPage();

Delphi:

control.ShowPropertyPage();


Value
Value Property

Description

Determines the control's displayed value by "redirecting" the value to the appropriate property.  For example, if the control is set up as an altimeter, the altitude property will be set to the value.

Syntax

Visual Basic:

control.Value [= value ]

C/C++:

void control.SetValue(double value);

double control.GetValue();

Delphi:

control.Value [:= value ];

Remarks

This property was included to simplify the use of the control.

Data Type

Double


Font
Font Property

Description

When invoked, this property displays the standard Windows font dialog box.

Syntax

Visual Basic:

control.Font [= font ]

C/C++:

void control.SetFont(LPFONTDISP font);

LPFONTDISP control.GetFont();

Delphi:

control.Font [:= font ];

Related Topics

FontID and Fonts

Data Type

Font


HeadingShape
HeadingShape Property

Description

Determines the shape of a user defined "needle" for the heading indicator. In general, it defines a polygon made from a list of x,y coordinate pairs where the center of the control is 0,0.

Syntax

Visual Basic:

control.HeadingShape [= string ]

C/C++:

void control.SetHeadingShape(LPCTSTR string);

BSTR control.GetHeadingShape();

Delphi:

control.HeadingShape [:= string ];

Related Topics

HeadingIndicator

Data Type

String


AltBarometerColor
AltBarometerColor Property

Description

Determines the color used for the barometer setting knob on the altimeter.

Syntax

Visual Basic:

control.AltBarometerColor [= color ]

C/C++:

void control.SetAltBarometerColor(OLE_COLOR color);

OLE_COLOR control.GetAltBarometerColor();

Delphi:

control.AltBarometerColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  This property only applies when DisplayMode is set to Altimeter.

Related Topics

AltBarometer, AltBarometerFontID, AltBarometerStyle, AltBarometerX, AltBarometerY, Altitude, AltThousandFontID, AltThousandStyle, AltThousandX and AltThousandY

Data Type

Long


AHBug
AHBug Property

Description

Determines whether or not the Heading Bug is displayed on the artificial horizon indicator.  The Heading Bug is used to indicate the desired course heading.

Syntax

Visual Basic:

control.AHBug [= boolean ]

C/C++:

void control.SetAHBug(BOOL boolean);

BOOL control.GetAHBug();

Delphi:

control.AHBug [:= boolean ];

Settings

SETTING	DESCRIPTION

TRUE	Bug Visible

FALSE	No Bug

Remarks

This property only applies when DisplayMode is set to Artificial Horizon and AHHeadingStyle is set to Horizon Fixed or Display Fixed.

Related Topics

AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Integer (boolean)


AHBugColor
AHBugColor Property

Description

Determines the color of the Heading Bug on the artificial horizon indicator.  The Heading Bug is used to indicate the desired course heading.

Syntax

Visual Basic:

control.AHBugColor [= color ]

C/C++:

void control.SetAHBugColor(OLE_COLOR color);

OLE_COLOR control.GetAHBugColor();

Delphi:

control.AHBugColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  This property only applies when DisplayMode is set to Artificial Horizon and AHHeadingStyle is set to Horizon Fixed or Display Fixed.

Related Topics

AHBug, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Long


AHBugHeading
AHBugHeading Property

Description

Determines the instrument's Heading Bug heading on the artificial horizon indicator.  The Heading Bug is used to indicate the desired course heading.

Syntax

Visual Basic:

control.AHBugHeading [= value ]

C/C++:

void control.SetAHBugHeading(double value);

double control.GetAHBugHeading();

Delphi:

control.AHBugHeading [:= value ];

Remarks

This property only applies when DisplayMode is set to Artificial Horizon and AHHeadingStyle is set to Horizon Fixed or Display Fixed.

Related Topics

AHBug, AHBugColor, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Double


AHCuePitch
AHCuePitch Property

Description

Determines the fligh director's desired pitch.  In the case of the single cue display, this is represented by a horizontal offset relative to the aritifical horizon.  In the case of a dual cue, the horizontal indicator line will move up or down relative to the instrument.

Syntax

Visual Basic:

control.AHCuePitch [= value ]

C/C++:

void control.SetAHCuePitch(double value);

double control.GetAHCuePitch();

Delphi:

control.AHCuePitch [:= value ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Double


AHCueRoll
AHCueRoll Property

Description

Determines the fligh director's desired roll.  In the case of the single cue display, this is represented by a clockwise or counterclockwise rotation relative to the aritifical horizon.  In the case of a dual cue, the vertical indicator will move left or right relative to the instrument.

Syntax

Visual Basic:

control.AHCueRoll [= value ]

C/C++:

void control.SetAHCueRoll(double value);

double control.GetAHCueRoll();

Delphi:

control.AHCueRoll [:= value ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Double


AHFlightDirector
AHFlightDirector Property

Description

Determines the graphical representation of the flight director display.

Syntax

Visual Basic:

control.AHFlightDirector [= number ]

C/C++:

void control.SetAHFlightDirector(short number);

short control.GetAHFlightDirector();

Delphi:

control.AHFlightDirector [:= number ];

Settings

SETTING	DESCRIPTION

0	None

1	Single Cue

2	Dual Cue

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Integer


AHFlightDirectorColor
AHFlightDirectorColor Property

Description

Determines the color used for the flight director display.

Syntax

Visual Basic:

control.AHFlightDirectorColor [= color ]

C/C++:

void control.SetAHFlightDirectorColor(OLE_COLOR color);

OLE_COLOR control.GetAHFlightDirectorColor();

Delphi:

control.AHFlightDirectorColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Long


AHGroundColor
AHGroundColor Property

Description

Determines the color of the "ground" on the artificial horizon indcator.

Syntax

Visual Basic:

control.AHGroundColor [= color ]

C/C++:

void control.SetAHGroundColor(OLE_COLOR color);

OLE_COLOR control.GetAHGroundColor();

Delphi:

control.AHGroundColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Long


AHHeading
AHHeading Property

Description

Determines the aircraft heading on the artificial horizon indicator.

Syntax

Visual Basic:

control.AHHeading [= value ]

C/C++:

void control.SetAHHeading(double value);

double control.GetAHHeading();

Delphi:

control.AHHeading [:= value ];

Remarks

This property only applies when DisplayMode is set to Artificial Horizon and AHHeadingStyle is set to Horizon Fixed or Display Fixed.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Double


AHHeadingOffset
AHHeadingOffset Property

Description

Determines the vertical offset of the heading tape on the artifical horizon indicator.

Syntax

Visual Basic:

control.AHHeadingOffset [= value ]

C/C++:

void control.SetAHHeadingOffset(double value);

double control.GetAHHeadingOffset();

Delphi:

control.AHHeadingOffset [:= value ];

Remarks

This property only applies when DisplayMode is set to Artificial Horizon and AHHeadingStyle is set to Display Fixed.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Double


AHHeadingScale
AHHeadingScale Property

Description

Determines how much of the heading tape is shown on the artificial horizon indicator.  This value is forced to be in the range 10 to 90 degrees.

Syntax

Visual Basic:

control.AHHeadingScale [= value ]

C/C++:

void control.SetAHHeadingScale(double value);

double control.GetAHHeadingScale();

Delphi:

control.AHHeadingScale [:= value ];

Remarks

This property only applies when DisplayMode is set to Artificial Horizon and AHHeadingStyle is set to Horizon Fixed or Display Fixed.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Double


AHHeadingStyle
AHHeadingStyle Property

Description

Determines the style used to display the heading tape on the artificial horizon indicator.

Syntax

Visual Basic:

control.AHHeadingStyle [= number ]

C/C++:

void control.SetAHHeadingStyle(short number);

short control.GetAHHeadingStyle();

Delphi:

control.AHHeadingStyle [:= number ];

Settings

SETTING	DESCRIPTION

0	Display Fixed - The heading tape is drawn at a fixed position on the innstrument according to AHHeadingOffset.

1	Horizon Fixed - The heading tape is drawn along the horizon.

2	None - No heading tape is displayed.

Remarks

This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Integer


AHPitch
AHPitch Property

Description

Determines the aircraft pitch (in degrees) on the artificial horizon indicator.

Syntax

Visual Basic:

control.AHPitch [= value ]

C/C++:

void control.SetAHPitch(double value);

double control.GetAHPitch();

Delphi:

control.AHPitch [:= value ];

Remarks

This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Double


AHPitchRange
AHPitchRange Property

Description

Determines the range of values that are displayed on the artificial horizon indication.

Syntax

Visual Basic:

control.AHPitchRange [= value ]

C/C++:

void control.SetAHPitchRange(double value);

double control.GetAHPitchRange();

Delphi:

control.AHPitchRange [:= value ];

Remarks

This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Double


AHPitchScale
AHPitchScale Property

Description

Determines how many of the pitch markers are shown on the artificial horizon indicator.  This value is forced to be in the range of 10 to 90 degrees.

Syntax

Visual Basic:

control.AHPitchScale [= value ]

C/C++:

void control.SetAHPitchScale(double value);

double control.GetAHPitchScale();

Delphi:

control.AHPitchScale [:= value ];

Remarks

This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchStyle, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Double


AHPitchStyle
AHPitchStyle Property

Description

Determines the separation (in degrees) of the horizontal markers on the artifical horizon indicator.

Syntax

Visual Basic:

control.AHPitchStyle [= number ]

C/C++:

void control.SetAHPitchStyle(short number);

short control.GetAHPitchStyle();

Delphi:

control.AHPitchStyle [:= number ];

Settings

SETTING	DESCRIPTION

0	10 Degree Markers

1	5 Degree Markers

2	1 Degree Markers

Remarks

This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHReferenceColor, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Integer


AHReferenceColor
AHReferenceColor Property

Description

Determines the color of the reference marker displayed on the artifical horizon indicator.

Syntax

Visual Basic:

control.AHReferenceColor [= color ]

C/C++:

void control.SetAHReferenceColor(OLE_COLOR color);

OLE_COLOR control.GetAHReferenceColor();

Delphi:

control.AHReferenceColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceStyle, AHRoll and AHSkyColor

Data Type

Long


AHReferenceStyle
AHReferenceStyle Property

Description

Determines what type of reference marker is displayed on the artifical horizon indicator.

Syntax

Visual Basic:

control.AHReferenceStyle [= number ]

C/C++:

void control.SetAHReferenceStyle(short number);

short control.GetAHReferenceStyle();

Delphi:

control.AHReferenceStyle [:= number ];

Settings

SETTING	DESCRIPTION

0	Simple

1	Bull's Eye

2	Delta

3	None

Remarks

This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHRoll and AHSkyColor

Data Type

Integer


AHRoll
AHRoll Property

Description

Determines the aircraft roll (in degrees) on the artificial horizon indicator.

Syntax

Visual Basic:

control.AHRoll [= value ]

C/C++:

void control.SetAHRoll(double value);

double control.GetAHRoll();

Delphi:

control.AHRoll [:= value ];

Remarks

This property only applies when DisplayMode is set to Artificial Horizon.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle and AHSkyColor

Data Type

Double


AHSkyColor
AHSkyColor Property

Description

Determines the color of the "sky" on the artificial horizon indcator.

Syntax

Visual Basic:

control.AHSkyColor [= color ]

C/C++:

void control.SetAHSkyColor(OLE_COLOR color);

OLE_COLOR control.GetAHSkyColor();

Delphi:

control.AHSkyColor [:= color ];

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Topics

AHBug, AHBugColor, AHBugHeading, AHCuePitch, AHCueRoll, AHFlightDirector, AHFlightDirectorColor, AHGroundColor, AHHeading, AHHeadingOffset, AHHeadingScale, AHHeadingStyle, AHPitch, AHPitchRange, AHPitchScale, AHPitchStyle, AHReferenceColor, AHReferenceStyle and AHRoll

Data Type

Long


SingleBuffer
SingleBuffer Property

Description

Determines whether or not double buffering is used when drawing the control.  In general, single buffering should only be used only when printing because the control may suffer a performance loss and "flickering" is this mode.  The desired method for printing, therefore, is to set the mode to single buffer (TRUE) at the time of printing and then return the mode to double buffering (FALSE)

Syntax

Visual Basic:

control.SingleBuffer [= boolean ]

C/C++:

void control.SetSingleBuffer(BOOL boolean);

BOOL control.GetSingleBuffer();

Delphi:

control.SingleBuffer [:= boolean ];

Settings

SETTING	DESCRIPTION

TRUE	Single Buffered Drawing

FALSE	Double Buffered Drawing (default)

Remarks

This property is available at runtime only.

Data Type

Integer (boolean)